## Quick usage ##

# Generate everything:
# >make

# Generate just the raw presentation (no page numbers)
# >make quick

# Clean rubbish (leaving PDFs)
# >make clean

# Clean everything (including PDFs)
# >make nuke

# Compile in continuous mode
# >make continuous

RUBBISH=*.tmp *.xdv *.log
.PHONY=clean nuke continuous quick presentation slides handout all

default: all
presentation: numbered-presentation.pdf
slides: numbered-slides.pdf
handout: handout.pdf
quick: presentation.pdf
all: presentation slides handout

presentation.pdf: presentation.tex
	latexmk -xelatex presentation.tex

slides.pdf: slides.tex
	latexmk -xelatex slides.tex

handout.pdf: numbered-slides.pdf
	latexmk -xelatex handout.tex

numbered-slides.pdf: slides.pdf
	latexmk -xelatex numbered-slides.tex

numbered-presentation.pdf: presentation.pdf
	latexmk -xelatex numbered-presentation.tex

continuous:
	latexmk -xelatex -pvc -pv- -interaction=nonstopmode presentation.tex

clean:
	latexmk -c
	rm -f $(RUBBISH)

nuke: clean
	latexmk -C
